Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #895

Stuttering with private network stream
July 22, 2019 10:35 - Artem S. Tashkinov

Status: Rejected Start date: July 22, 2019
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Affects version: 3.10.1

Description

I listen to an mp3 radio station (bitrate: 320 Kbps) with which

* WinAMP works fine
¢ MPV works fine
e Windows Media Player works fine

However Audacious keeps stuttering every half a second or even more often which makes listening a very painful and unpleasant
experience.

My settings:

Audacious:
Network buffer: 512KB (tried different values - none worked)
Audio plugin: Pulse
Buffer size: 100ms

WinAMP (running under Wine/PulseAudio) :
MPEG input plugin:
Streaming data buffer: 64KB
Streaming prebuffer: ~35%
How much to prebuffer at the start of a stream: ~10%
Output: DirectSound
Buffer length: 3000ms
Prebuffer on start / seek / underrun: 500ms
Buffer-ahead on track change: 500 ms

MPV (PulseAudio output):

Cache: 1s+69KB (which translates into roughly ~1.7 seconds)
Average buffer fill: 99%

| cannot share this station URL because it's private but | can send the URL to you directly.

History

#1 - August 15, 2019 04:18 - John Lindgren
- Subject changed from Networking buffering doesn't really work for certain streams to Stuttering with private network stream

- Tracker changed from Bug to Support

An audio buffer size of 100 ms could cause stuttering, have you tried something larger? The default is 500 ms, but if you're trying to get rid of
stuttering, I'd try 1-2 seconds for starters.

| tried playing http://hi5.adagio.fm with default settings just now (128 KB, 500 ms, ALSA) and didn't experience any stuttering.

Changing to Support.

July 14, 2025 1/3



http://hi5.adagio.fm

#2 - August 19, 2019 11:47 - Artem S. Tashkinov

John Lindgren wrote:

An audio buffer size of 100 ms could cause stuttering, have you tried something larger? The default is 500 ms, but if you're trying to get rid of
stuttering, I'd try 1-2 seconds for starters.

| tried playing http://hi5.adagio.fm with default settings just now (128 KB, 500 ms, ALSA) and didn't experience any stuttering.

Changing to Support.

| tried buffer size up to 5 seconds - doesn't help at all. Again | can send you the URL of this radio station privately but you seem not to be reading
emails sent to your official email address or my messages end up as SPAM.

#3 - August 22, 2019 00:57 - John Lindgren

You will need to post the link here, | do not provide support via email.

#4 - August 22, 2019 17:03 - John Lindgren
- Category deleted (core)

#5 - August 23, 2019 12:12 - John Lindgren

- Status changed from New to Rejected

The stream you sent me by email plays without stuttering here. Closing.

#6 - August 23, 2019 13:05 - Artem S. Tashkinov

John Lindgren wrote:

The stream you sent me by email plays without stuttering here. Closing.

I've found the culprit: it's the Crossfade plugin (set to two seconds).

As soon as | disabled it everything got fixed.

#7 - August 27, 2019 05:02 - John Lindgren

| added some tracing to the ALSA plugin to show the bulffer fill level, and looked at this a bit more.

Crossfade is a red herring. It adds a little bit of jitter on the Audacious side (about 1/2 second) which slightly worsens the problem, but the root
problem is the server. It appears to be configured with a burst size of zero (Google "icecast burst size") which means that its buffering is basically
useless and the entire burden falls on Audacious.

| am seeing occasional underruns even with a 2 second audio buffer. 5 seconds seems pretty stable here but of course it depends on network
conditions, so what works for me may not be enough for you. You can try a huge buffer like 10 seconds -- that means you will wait for 10 seconds
between when you hit "Play" and when you hear audio. Or you can use the old trick of pausing the stream for a few seconds, when it stutters, to
buffer some audio manually.

It's like the early 2000's all over again. There's a reason most servers aren't configured like that.

#8 - August 27, 2019 08:50 - Artem S. Tashkinov

John Lindgren wrote:
| added some tracing to the ALSA plugin to show the buffer fill level, and looked at this a bit more.
Crossfade is a red herring. It adds a little bit of jitter on the Audacious side (about 1/2 second) which slightly worsens the problem, but the root
problem is the server. It appears to be configured with a burst size of zero (Google "icecast burst size") which means that its buffering is
basically useless and the entire burden falls on Audacious.
| am seeing occasional underruns even with a 2 second audio buffer. 5 seconds seems pretty stable here but of course it depends on network
conditions, so what works for me may not be enough for you. You can try a huge buffer like 10 seconds -- that means you will wait for 10
seconds between when you hit "Play" and when you hear audio. Or you can use the old trick of pausing the stream for a few seconds, when it

stutters, to buffer some audio manually.

It's like the early 2000's all over again. There's a reason most servers aren't configured like that.

Thank you very much John! Very much appreciated. | will try to contact the owner of the stream and ask him to fix the streaming settings.
